#include<stdio.h>
#include<conio.h>
#include<string.h>
int main()
{
  char a[1000],b[1000],c[1000],abc[1000],acb[1000],bac[1000],bca[1000],cab[1000],cba[1000];
    int max;
    scanf("%s",a); scanf("%s",b); scanf("%s",c);
  strcpy(abc,a);
  strcat(abc,b);
  strcat(abc,c);

  strcpy(acb,a);
  strcat(acb,c);
  strcat(acb,b);

  strcpy(bac,b);
  strcat(bac,a);
  strcat(bac,c);

  strcpy(bca,b);
  strcat(bca,c);
  strcat(bca,a);

  strcpy(cab,c);
  strcat(cab,a);
  strcat(cab,b);

  strcpy(cba,c);
  strcat(cba,b);
  strcat(cba,a);

  max=atoi(abc);
  if(atoi(acb)>max){
    max=atoi(acb);
  }
  if(atoi(bac)>max){
    max=atoi(bac);
  }
  if(atoi(bca)>max){
    max=atoi(bca);
  }
  if(atoi(cab)>max){
    max=atoi(cab);
  }
  if(atoi(cba)>max){
    max=atoi(cba);
  }
    printf("%d",max);








    return 0;
}